# Gets all Third Party Codes

Endpoint: GET /interfaces/thirdPartyCodes
Version: v3.0: 3.30.0
Security: Auth API User Token

## Query parameters:

  - `Filter` (array)
    ### Filter Options:
- code
- type

  - `OrderBy` (array)
    ### Order By Options:
- code
- type

  - `PageNumber` (integer)
    Page Number for the result set.

This is expected to be an integer value greater than 0. Defaults to 1 when not passed in.

For more information see the Getting Started Section for Pagination.

  - `PageSize` (integer)
    Page Size
- Default page size: 100 
- Max page size: 500

This is expected to be an integer value greater than 0. Defaults to 100 when not passed in.

For more information see the Getting Started Section for Pagination.

## Response 200 fields (application/json):

  - `id` (string)
    A unique identifier for the TPCode Record
            
This is autogenerated by Yellow Dog on creation of the record.

  - `type` (string, required)
    The Type of code being entered. This should be titled specifically for the third party integrator in Pascal case.
            
A common way to type specifically is to prepend the Type with the name of the integration.

This will be displayed in the Interfaces tab under the Accounting/Other section as "Integration Name Tax Grouping"

  - `code` (string, required)
    Identifier used by the Integrator to match certain behavior on their side of the integration.

  - `description` (string, required)
    User friendly description that will be displayed to the user as part of a drop down box titled by the `type`

  - `store` (object)

  - `store.id` (string)

  - `store.code` (string | null)

  - `store.name` (string | null)

## Response 500 fields (application/json):

  - `message` (string | null)

  - `errors` (array | null)

  - `errors.message` (string | null)

  - `errors.extensions` (string | null)

